docker: stretch -> buster

docker: stretch -> buster

buster is the latest stable Debian release. Ain’t no good reason to hang onto the past.

The following security bugs remain unfixed in stretch:

bzip2 1.0.6-8.1 https://security-tracker.debian.org/tracker/CVE-2019-12900 glibc 2.24-11+deb9u4 https://security-tracker.debian.org/tracker/CVE-2018-1000001 glibc 2.24-11+deb9u4 https://security-tracker.debian.org/tracker/CVE-2019-9169 glibc 2.24-11+deb9u4 https://security-tracker.debian.org/tracker/CVE-2018-6485 shadow 1:4.4-4.1 https://security-tracker.debian.org/tracker/CVE-2017-12424 util-linux 2.29.2-1+deb9u1 https://security-tracker.debian.org/tracker/CVE-2016-2779

These bugs are all fixed in buster.

diff --git a/Dockerfile b/Dockerfile
index 037122a..302364d 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -1,4 +1,4 @@
-FROM ruby:2.6.1-slim-stretch
+FROM ruby:2.6-slim-buster
 
 MAINTAINER Matt Palmer "matt.palmer@discourse.org"
 

GitHub sha: 816adf10